Bug 616438 - libguestfs missing runtime Requires: binutils
libguestfs missing runtime Requires: binutils
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On: 616437
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 09:18 EDT by Richard W.M. Jones
Modified: 2010-11-10 16:03 EST (History)
7 users (show)

See Also:
Fixed In Version: libguestfs-1.2.7-1.18.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 616437
Environment:
Last Closed: 2010-11-10 16:03:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-07-20 09:18:20 EDT
+++ This bug was initially created as a clone of Bug #616437 +++

Description of problem:

https://bugzilla.redhat.com/show_bug.cgi?id=615870#c8

The 'strings' program comes from binutils.  However libguestfs does
not Require: binutils, and in fact binutils is not pulled in indirectly
(although it is likely to be present on the system anyway).

Version-Release number of selected component (if applicable):

libguestfs in Fedora 12, 13, devel, EPEL 5
Comment 2 Jinxin Zheng 2010-07-22 23:29:32 EDT
# rpm -q libguestfs
libguestfs-1.2.7-1.18.el6.x86_64

# rpm -qR libguestfs | grep binutils
binutils  

Requirement for binutils is added in the new version. Move this bug to VERIFIED.
Comment 3 releng-rhel@redhat.com 2010-11-10 16:03:10 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.